API ReferenceCWT Google Pass templates
Update a Google Pass template
PUT
Updates a existing Google Pass template by providing its ID and a .zip file. Refer to our Design a Google Pass template guide for more information on how to design the template and how to structure the .zip file.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_STARTCREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_SUCCESSCREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_FAIL
bearerAuthheader
AuthorizationBearer <token>id*stringGoogle Pass template ID
multipart/form-data- body
template*fileIncludes your template files.
Format
binaryname*stringInsert a name to identify this Google Pass template.
Length
1 <= length <= 1024issuerId*stringGoogle Wallet Pass signer issuer ID.
serviceAccountClientEmail*stringEmail address of the Google Cloud Platform service account for accessing the Google Pay Passes API.
serviceAccountPrivateKey*stringPrivate key PEM of the Google Cloud Platform service account.
Google Pass template updated
application/json- response
id?stringThis is a unique identifier for this Google Pass template. You will use it as the templateId when formatting a CWT credential as a Google Pass.
passType?DigitalPassTypeDigital pass type
Value in
"apple""google"name?stringmetadata?curl -X PUT "https://example.com/v2/credentials/compact/digital-pass/google/templates/string" \ -F template="string" \ -F name="Certificate of participation" \ -F issuerId="3388000000012346000" \ -F serviceAccountClientEmail="app-user@myproject.iam.gserviceaccount.com" \ -F serviceAccountPrivateKey="string"{ "id": "3812166c-ac9f-4e4e-96dd-c1336b5be378", "passType": "apple", "name": "Certificate of participation", "metadata": { "issuerId": "3388000000012346000", "serviceAccountClientEmail": "app-user@myproject.iam.gserviceaccount.com", "payPassId": "3388000000012345678.a0bbe92f-c85e-4081-94c3-f842bcd5e463" }}How would you rate this page?